<?php

function apiconteudo($curso) {
    
    $URL = 'https://www.aporfia.com.br/ovum/apiconteudo/';
    
    $json_request = json_encode(array(
        "auth" => array(
            "chave" => 'c511e0b',
            "token" => 'fb91817ab4cc', // PARÂMETROS DE CONFIGURAÇÃO DO ALUNO
            "login" => 'notificacao.amazonia'
        ),
        'sender' => array(
            'user' => 726,
            'perfil' => 37,
            'categoria' => 26
        ),
        'requisicao' => array(
            'termo' => $curso,
            'dominio' => '',
            'ranking' => 'false',
            'recursos' => array(
                'youtube' => array(
                    'max_result' => 2,
                    'request' => true
                ),
                'pdf' => array(
                    'max_result' => 2,
                    'request' => true
                ),
                'books' => array(
                    'max_result' => 2,
                    'request' => true
                ),
                'linkweb' => array(
                    'max_result' => 0,
                    'request' => false
                )
            ),
        )
            )
    );

    $url = $URL . 'conteudo/get';

    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_FILETIME, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, array('request' => $json_request));

    $output = curl_exec($ch);

    curl_close($ch);

    $dados = array(
        'pdf' => @json_decode($output)->dados->search[0]->pdf,
        'youtube' => @json_decode($output)->dados->search[0]->youtube,
        'livros' => @json_decode($output)->dados->search[0]->books,
        'links' => @json_decode($output)->dados->search[0]->linkweb
    );

    return $dados;
}
